<!doctype html>
<html lang="en">
<head>
<title>24-resilience-in-floss-do-founder-decisions-impa</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Anyone have any questions for Salt?</span><br><span class="anonymous" title="anonymous">To get started click the 👥 button in the top/bottom right and log in.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3"></span><br><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3">## Questions:</span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4">Would you recommend releasing a new OSS under protective or permissive? (And what license would you recommend in general for OSS?)</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Protective. GPL-3 recommended.</span><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4">What do you think about using a more restrictive license early on in the project to "protect" users or corporations while it's still unstable?</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Not recommended as it will not bring as many eyes and contributors compaired to not restrictive. Could be considered for "mature" projects.</span><span class="a_iDrmJTZaerM6N1Ot" title="a_iDrmJTZaerM6N1Ot" style="background-color:#8e1914"></span><br><span class="a_iDrmJTZaerM6N1Ot" title="a_iDrmJTZaerM6N1Ot" style="background-color:#8e1914"></span><br><span class="a_iDrmJTZaerM6N1Ot" title="a_iDrmJTZaerM6N1Ot" style="background-color:#8e1914">Does the community (like a programming language community being more academically focussed, perhaps preferring more permissive licenses and guiding projects to those licenses) have an impact on the resilience of a project?</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: They will be more resilient because the people using them cares more and hold on to the project longer.</span><span class="a_Z9nWFajmiS6dibEW" title="a_Z9nWFajmiS6dibEW" style="background-color:#b732f8"></span><br><span class="a_Z9nWFajmiS6dibEW" title="a_Z9nWFajmiS6dibEW" style="background-color:#b732f8"></span><br><span class="a_Z9nWFajmiS6dibEW" title="a_Z9nWFajmiS6dibEW" style="background-color:#b732f8">Can you share a link to your thesis?</span><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: </span><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3">Archival copy in University of Washington libraries: https://digital.lib.washington.edu/researchworks/handle/1773/47038</span><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830"></span><br><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830"></span><br><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830">How did you come up with the thesis?</span><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3">a</span><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4">Do you have any theories for why protective licenses keep their rate of contributions longer? That seems counter-intuitive to me...</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: The protective ones might keep their contributers longer.</span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">Did you consider upstream activity rather than Debian's, as d/changelog does not represent a project's activity, but the maintainer's activity (which is usually much lower and not representative of uptsream).</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: (?) Could be a future thing.</span><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_GV9MqjokiStD1SFL" title="a_GV9MqjokiStD1SFL" style="background-color:#e16210">18:31 < fil> Salt:  could that (result 3) be because some propotion of the permissives get killed by the DSA, and they're the one's that were slow alread and they drop out of the data at that point.</span><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3"></span><br><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3"></span><br><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3">11:35 <joeyh> Salt: does this establish causation, or only a correlation?</span><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Causation is really hard to establish.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830"></span><br><span class="a_XWt8RnpVFs1KnkLY" title="a_XWt8RnpVFs1KnkLY" style="background-color:#985830">Is there a research group on FLOSS in the University of Washington?</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Yeah, there is.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">I would like to get into this kind of research. Which other research groups similar to yours around the world do you know?</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: </span><span class="a_xVVPKp9yL0Ad84HB" title="a_xVVPKp9yL0Ad84HB" style="background-color:#96a1c3">Community Data Science Collective: https://wiki.communitydata.science/Main_Page includes folks at University of Washington, Northwestern, Purdue, University of North Carolina, and Carleton College,</span><span class="a_ojESO50XGThj2T4D" title="a_ojESO50XGThj2T4D" style="background-color:#2290d2"></span><br><span class="a_ojESO50XGThj2T4D" title="a_ojESO50XGThj2T4D" style="background-color:#2290d2"></span><br><span class="a_ojESO50XGThj2T4D" title="a_ojESO50XGThj2T4D" style="background-color:#2290d2">It would be interesting to see some candles on that graphs in final version (eg. where there much variations between packages compared to average)</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Earlier version of the graph had "confidence range".</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
